<?php
/**
 * Получение данных карты с множественными маркерами.
 * 
 * Серверная часть принимает json данные из модального окна и отправляет почту.
 *
 * @author veselka.ua
 * @version 0.1
 *
 * @package veselka_ua/themes
 */

/**
 * Проверка легитимности запуска скрипта.
 */
require_once '__check.php';

/**
 * Не хешированные ключи JS.
 */
require_once '__proof.php';


/**
 * Отправка письма.
 */
if( $_POST['proof'] == md5($proof['data_maps']) ) {
	try{

		/**
		 * Инициализация Вордпресс.
		 */
		require_once '__wp.php';

		/**
		 * Данные карт.
		 */
		require_once TEMPLATEPATH . '/conf/maps_custom.php';
		$result_set = $maps;

		/**
		 * Результат работы в JS.
		 */
		echo json_encode($result_set);

	}
	catch(Exception $e) {
		echo json_encode($e->getMessage());
	}
} else {
	throw new Exception('No data to send!');
}

?>